<template>
  <div class="header-wrap">
    <p class="header-name">{{headerName}}</p>
    <div class="header-con">
      <el-menu :default-active="defaultActive" class="el-menu-demo" mode="horizontal" @select="handleSelect">
        <el-menu-item 
          v-for="(headerData,index) in headerDataList" 
          :key="index"
          @click="clickMenuItem(headerData)"
          :index="headerData.path.split('/')[1]">
          {{headerData.meta.title}}
        </el-menu-item>
      </el-menu>
    </div>
    <div class="header-right">
      <ul>
        <li>
          <el-popover
            placement="top-start"
            width="300"
            trigger="hover">
            <div class="info-wrap">
              <div class="title clearfix">
                <span class="title-span">账户信息</span>
                <el-button
                  type="primary"
                  size="mini"
                  @click="changePassword">修改密码</el-button>
              </div>
              <div class="info">
                <p>用户名：{{info.realName}}</p>
                <!-- <p>所在组织：{{info.userPosts[0].organizationName}}</p> -->
                <p>本次登陆：</p>
                <p>登陆地区：</p>
                <p>上次登陆：</p>
              </div>
            </div>
            <div slot="reference"><i class="el-icon-s-custom"></i></div>
          </el-popover>
        </li>
        <li>{{info.realName}}</li>
        <li>
          <i class="icon iconfont iconshouye" title="系统首页"></i>
        </li>
        <li>
          <i class="icon iconfont iconguanbi" title="退出登陆" @click="outLogin()"></i>
        </li>
      </ul>
    </div>
  </div>
</template>

<script>

import LeftNav from '../leftNav/LeftNav'

import {getLocalUserInfo} from '@/utils/common'
import { inflate } from 'zlib';

export default {
  name: 'Header',
  components: {
  },
  data(){
    return{
      headerName:'领先未来行政管理平台',
      defaultActive:null,
      commonHeaderData:[
        
      ],
      headerDataList:[
        {
          name: "Admin",
          path: "/Admin",
          meta: {
            title: "首页"
          }
        },
        {
          name: "Cafe",
          path: "/Cafe",
          meta: {
            title: "咖啡厅"
          }
        },
        {
          name: "System",
          path: "/System",
          meta: {
            title: "系统"
          }
        }
      ],
      info:{}
    }
  },
  created(){
    // 获取用户信息
    // this.info=getLocalUserInfo();
    this.info.realName='测试'
  },
  mounted(){
    this.defaultActive=this.$route.path.split('/')[1];
  },
  methods:{
    handleSelect(key, keyPath) {
      
    },
    clickMenuItem(headerData){
      this.$router.push({
        name:headerData.name
      });
    },
    changePassword(){

    },
    outLogin(){
      this.$router.push({
        name:'Login'
      })
    }
  },
  watch:{
    $route(to,from){
      this.defaultActive=to.path.split('/')[1];
    }
  }
}
</script>

<style lang="less" scoped>
@write:#fff;
  .header-wrap{
    height: 60px;
    position: fixed;
    z-index: 9999;
    width: 100%;
    line-height: 60px;
    background-color: #282B33;
    display: flex;
    .header-name{
      line-height: 60px;
      text-align:center;
      color: @write;
      padding: 0 20px;
    }
    .header-con{
      .el-menu{
        background-color: rgb(40, 43, 51);
        .el-menu-item{
          color: @write;
          background-color: rgb(40, 43, 51);
        }
      }
      .el-menu--horizontal>.el-menu-item.is-active{
        color: rgb(51, 153, 153);
      }
      .el-menu--horizontal>.el-menu-item:not(.is-disabled):focus, .el-menu--horizontal>.el-menu-item:not(.is-disabled):hover{
        background-color: rgb(40, 43, 41);
      }
      .el-menu--horizontal>.el-menu-item:not(.is-disabled):focus{
        background-color: rgb(40, 43, 51);
      }
      
    }
    .header-right{
      position: absolute;
      right: 0;
      background-color: #282B33;
      ul{
        display: flex;
        box-sizing: border-box;
        align-items: flex-end;
        line-height: 60px;
        height: 60px;
        color: #fff;
        li{
          padding: 0 10px;
          cursor: pointer;
          i{
            font-size: 26px;
          }
        }
      }
    }
  }
  .info-wrap{
    .title{
      padding-bottom: 10px;
      border-bottom: 1px solid rgba(0, 0, 0, 0.1);
      .title-span{
        float: left;
        line-height: 30px;
      }
      .el-button{
        float:right;
      }
    }
    .clearfix:after {
        display: block;
        clear: both;
        content: "";
        visibility: hidden;
        height: 0
    }
    .clearfix {
        zoom: 1
    }
  }
</style>
